$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2024.3.0/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2024.3.0/cloudflared-windows-amd64.exe'

  checksum      = 'eeae5e52908063dca78c588559ca5ab9e94045c6ae555a078dcd8e9f72106ec1'
  checksumType  = 'sha256'
  checksum64    = '8f27967907aee6face94d3ea55e455214c2e7afdb82e59d1dcce46b43b22e4e4'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
